purescript-0.15.15: PureScript Programming Language Compiler

Safe Haskell | None
Language | Haskell2010

Language.PureScript.Docs.Collect

Synopsis

- collectDocs :: (MonadError MultipleErrors m, MonadIO m) => FilePath -> [FilePath] -> [(PackageName, FilePath)] -> m ([(FilePath, Module)], Map ModuleName PackageName)

# Documentation

collectDocs :: (MonadError MultipleErrors m, MonadIO m) => FilePath -> [FilePath] -> [(PackageName, FilePath)] -> m ([(FilePath, Module)], Map ModuleName PackageName) #

Given a compiler output directory, a list of input PureScript source files, and a list of dependency PureScript source files, produce documentation for the input files in the intermediate documentation format. Note that dependency files are not included in the result.

If the output directory is not up to date with respect to the provided input and dependency files, the files will be built as if with just the "docs" codegen target, i.e. "purs compile --codegen docs".